package com.chat.nuance.example9;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.nuance.Listener.NinaTransitionListener;
import com.nuance.chat.NinaLinkMovementMethod;
import com.nuance.chat.NuanMessaging;
import com.nuance.chat.Responses.GetMessageResponse;
import com.nuance.chat.span.Element;

import java.util.HashMap;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.fab);
        fab.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                HashMap<String,String> hashMap = new HashMap<String, String>();
                hashMap.put("siteID","10003715");
                hashMap.put("buID","13000508");
                hashMap.put("agID","10004026");
                hashMap.put("brID","20000");
                //hashMap.put("autoDataPass","{datapass:{\"vivo\":{\"visacodes\":[\"123\",\"34\"]}}}");


                HashMap<String, String> datapass = new HashMap<String, String>();
                datapass.put("Test","tesing");
                NuanMessaging.getInstance().updateNuanceMessagingTitle("<big><b>HAVI</b></big>  <small><small><i>  Virtual assistant</i></small></small><br/><small>Visa grant 11803000000003</small>");
                NuanMessaging.getInstance().launchBrandedMessaging(MainActivity.this, hashMap, null, datapass);

                NuanMessaging.getInstance().registerNinaTransitionListener(new NinaTransitionListener() {
                    @Override
                    public void onNinaTransition(String s) {

                    }

                    @Override
                    public void onVAMessage(GetMessageResponse getMessageResponse) {

                    }

                    @Override
                    public void interceptVAMessage(GetMessageResponse getMessageResponse) {

                    }
                });
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
